"use strict";
/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.mountControls = void 0;
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var ReactDOM = tslib_1.__importStar(require("react-dom"));
var parameters_1 = require("../../mol-plugin-ui/controls/parameters");
var use_behavior_1 = require("../../mol-plugin-ui/hooks/use-behavior");
var plugin_1 = require("../../mol-plugin-ui/plugin");
function mountControls(orbitals, parent) {
    ReactDOM.render(React.createElement(plugin_1.PluginContextContainer, { plugin: orbitals.plugin },
        React.createElement(Controls, { orbitals: orbitals })), parent);
}
exports.mountControls = mountControls;
function Controls(_a) {
    var orbitals = _a.orbitals;
    var params = use_behavior_1.useBehavior(orbitals.params);
    var values = use_behavior_1.useBehavior(orbitals.state);
    return React.createElement(parameters_1.ParameterControls, { params: params, values: values, onChangeValues: function (vs) { return orbitals.state.next(vs); } });
}
//# sourceMappingURL=controls.js.map