"use strict";
/**
 * Copyright (c) 2018-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Michal Malý <michal.maly@ibt.cas.cz>
 * @author Jiří Černý <jiri.cerny@ibt.cas.cz>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfalPyramidsTypes = void 0;
var location_1 = require("../../../mol-model/location");
var structure_1 = require("../../../mol-model/structure");
var ConfalPyramidsTypes;
(function (ConfalPyramidsTypes) {
    function Location(pyramid, isLower, structure, unit, element) {
        return location_1.DataLocation('pyramid', { pyramid: pyramid, isLower: isLower }, { structure: structure, unit: unit, element: element });
    }
    ConfalPyramidsTypes.Location = Location;
    function isLocation(x) {
        return !!x && x.kind === 'data-location' && x.tag === 'pyramid';
    }
    ConfalPyramidsTypes.isLocation = isLocation;
    function toElementLocation(location) {
        return structure_1.StructureElement.Location.create(location.element.structure, location.element.unit, location.element.element);
    }
    ConfalPyramidsTypes.toElementLocation = toElementLocation;
})(ConfalPyramidsTypes = exports.ConfalPyramidsTypes || (exports.ConfalPyramidsTypes = {}));
//# sourceMappingURL=types.js.map