/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { WebGLContext } from '../../mol-gl/webgl/context';
import { Texture } from '../../mol-gl/webgl/texture';
import { ValueSpec, AttributeSpec, UniformSpec, Values } from '../../mol-gl/renderable/schema';
export declare const QuadPositions: Float32Array;
export declare const QuadSchema: {
    drawCount: ValueSpec<"number">;
    instanceCount: ValueSpec<"number">;
    aPosition: AttributeSpec<"float32">;
    uQuadScale: UniformSpec<"v2">;
};
export declare const QuadValues: Values<typeof QuadSchema>;
export declare function readTexture(ctx: WebGLContext, texture: Texture, width?: number, height?: number): {
    array: Uint8Array | Float32Array;
    width: number;
    height: number;
};
export declare function printTexture(ctx: WebGLContext, texture: Texture, scale: number): void;
