"use strict";
/**
 * Copyright (c) 2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextRenderable = exports.TextSchema = void 0;
var tslib_1 = require("tslib");
var renderable_1 = require("../renderable");
var render_item_1 = require("../webgl/render-item");
var schema_1 = require("./schema");
var shader_code_1 = require("../shader-code");
var mol_util_1 = require("../../mol-util");
exports.TextSchema = tslib_1.__assign(tslib_1.__assign(tslib_1.__assign({}, schema_1.BaseSchema), schema_1.SizeSchema), { aGroup: schema_1.AttributeSpec('float32', 1, 0), aPosition: schema_1.AttributeSpec('float32', 3, 0), aMapping: schema_1.AttributeSpec('float32', 2, 0), aDepth: schema_1.AttributeSpec('float32', 1, 0), elements: schema_1.ElementsSpec('uint32'), aTexCoord: schema_1.AttributeSpec('float32', 2, 0), tFont: schema_1.TextureSpec('image-uint8', 'alpha', 'ubyte', 'linear'), padding: schema_1.ValueSpec('number'), uBorderWidth: schema_1.UniformSpec('f'), uBorderColor: schema_1.UniformSpec('v3'), uOffsetX: schema_1.UniformSpec('f'), uOffsetY: schema_1.UniformSpec('f'), uOffsetZ: schema_1.UniformSpec('f'), uBackgroundColor: schema_1.UniformSpec('v3'), uBackgroundOpacity: schema_1.UniformSpec('f') });
function TextRenderable(ctx, id, values, state, materialId) {
    var schema = tslib_1.__assign(tslib_1.__assign(tslib_1.__assign(tslib_1.__assign({}, schema_1.GlobalUniformSchema), schema_1.GlobalTextureSchema), schema_1.InternalSchema), exports.TextSchema);
    var internalValues = {
        uObjectId: mol_util_1.ValueCell.create(id),
    };
    var shaderCode = shader_code_1.TextShaderCode;
    var renderItem = render_item_1.createGraphicsRenderItem(ctx, 'triangles', shaderCode, schema, tslib_1.__assign(tslib_1.__assign({}, values), internalValues), materialId);
    return renderable_1.createRenderable(renderItem, values, state);
}
exports.TextRenderable = TextRenderable;
//# sourceMappingURL=text.js.map