/**
 * Copyright (c) 2017-2018 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { parseCifText } from './cif/text/parser';
import { parseCifBinary } from './cif/binary/parser';
import { CifFrame } from './cif/data-model';
import { toDatabaseCollection, toDatabase } from './cif/schema';
import { mmCIF_Database } from './cif/schema/mmcif';
import { CCD_Database } from './cif/schema/ccd';
import { BIRD_Database } from './cif/schema/bird';
import { dic_Database } from './cif/schema/dic';
import { DensityServer_Data_Database } from './cif/schema/density-server';
import { CifCore_Database } from './cif/schema/cif-core';
export declare const CIF: {
    parse: (data: string | Uint8Array) => import("../../mol-task/task").Task<import("./result").ReaderResult<import("./cif/data-model").CifFile>>;
    parseText: typeof parseCifText;
    parseBinary: typeof parseCifBinary;
    toDatabaseCollection: typeof toDatabaseCollection;
    toDatabase: typeof toDatabase;
    schema: {
        mmCIF: (frame: CifFrame) => mmCIF_Database;
        CCD: (frame: CifFrame) => CCD_Database;
        BIRD: (frame: CifFrame) => BIRD_Database;
        dic: (frame: CifFrame) => dic_Database;
        cifCore: (frame: CifFrame) => CifCore_Database;
        densityServer: (frame: CifFrame) => DensityServer_Data_Database;
    };
};
export * from './cif/data-model';
