/**
 * Copyright (c) 2019-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { Task } from '../../mol-task';
import { ModelFormat } from '../format';
import { File3DG } from '../../mol-io/reader/3dg/parser';
import { Trajectory } from '../../mol-model/structure';
export { Format3dg };
declare type Format3dg = ModelFormat<File3DG>;
declare namespace Format3dg {
    function is(x: ModelFormat): x is Format3dg;
    function from3dg(file3dg: File3DG): Format3dg;
}
export declare function trajectoryFrom3DG(file3dg: File3DG): Task<Trajectory>;
