/**
 * Copyright (c) 2018-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { CoarseHierarchy, CoarseConformation } from '../../../mol-model/structure/model/properties/coarse';
import { Entities } from '../../../mol-model/structure/model/properties/common';
import { Column } from '../../../mol-data/db';
import { IhmSphereObjSite, IhmGaussianObjSite, AtomSite } from './schema';
import { Model } from '../../../mol-model/structure';
export interface CoarseData {
    model_id: number;
    model_name: string;
    model_group_name: string;
    entities: Entities;
    atom_site: AtomSite;
    atom_site_sourceIndex: Column<number>;
    ihm_sphere_obj_site: IhmSphereObjSite;
    ihm_gaussian_obj_site: IhmGaussianObjSite;
}
export declare const EmptyCoarse: {
    hierarchy: CoarseHierarchy;
    conformation: any;
};
export declare function getCoarse(data: CoarseData, properties: Model['properties']): {
    hierarchy: CoarseHierarchy;
    conformation: CoarseConformation;
};
