"use strict";
/**
 * Copyright (c) 2018 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDnaOneLetterCode = exports.getRnaOneLetterCode = exports.getProteinOneLetterCode = void 0;
// from NGL
var ProteinOneLetterCodes = {
    'HIS': 'H',
    'ARG': 'R',
    'LYS': 'K',
    'ILE': 'I',
    'PHE': 'F',
    'LEU': 'L',
    'TRP': 'W',
    'ALA': 'A',
    'MET': 'M',
    'PRO': 'P',
    'CYS': 'C',
    'ASN': 'N',
    'VAL': 'V',
    'GLY': 'G',
    'SER': 'S',
    'GLN': 'Q',
    'TYR': 'Y',
    'ASP': 'D',
    'GLU': 'E',
    'THR': 'T',
    'SEC': 'U',
    'PYL': 'O', // as per IUPAC definition
};
var DnaOneLetterCodes = {
    'DA': 'A',
    'DC': 'C',
    'DG': 'G',
    'DT': 'T',
    'DU': 'U'
};
var RnaOneLetterCodes = {
    'A': 'A',
    'C': 'C',
    'G': 'G',
    'T': 'T',
    'U': 'U'
};
function getProteinOneLetterCode(residueName) {
    var code = ProteinOneLetterCodes[residueName];
    return code || 'X';
}
exports.getProteinOneLetterCode = getProteinOneLetterCode;
function getRnaOneLetterCode(residueName) {
    var code = RnaOneLetterCodes[residueName];
    return code || 'X';
}
exports.getRnaOneLetterCode = getRnaOneLetterCode;
function getDnaOneLetterCode(residueName) {
    var code = DnaOneLetterCodes[residueName];
    return code || 'X';
}
exports.getDnaOneLetterCode = getDnaOneLetterCode;
//# sourceMappingURL=constants.js.map