/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import * as React from 'react';
export declare function Icon(props: {
    svg?: React.FC;
    style?: React.CSSProperties;
    title?: string;
    /** Adds right margin to the icon */
    inline?: boolean;
}): JSX.Element | null;
export declare function UnionSvg(): JSX.Element;
export declare function SubtractSvg(): JSX.Element;
export declare function IntersectSvg(): JSX.Element;
export declare function SetSvg(): JSX.Element;
export declare function MoleculeSvg(): JSX.Element;
export declare function CubeOutlineSvg(): JSX.Element;
export declare function CursorDefaultOutlineSvg(): JSX.Element;
export declare function FileOutlineSvg(): JSX.Element;
export declare function PencilRulerSvg(): JSX.Element;
export declare function AccountTreeOutlinedSvg(): JSX.Element;
export declare function AddSvg(): JSX.Element;
export declare function ArrowDownwardSvg(): JSX.Element;
export declare function ArrowDropDownSvg(): JSX.Element;
export declare function ArrowRightSvg(): JSX.Element;
export declare function ArrowUpwardSvg(): JSX.Element;
export declare function AutorenewSvg(): JSX.Element;
export declare function BlurOnSvg(): JSX.Element;
export declare function BookmarksOutlinedSvg(): JSX.Element;
export declare function BrushSvg(): JSX.Element;
export declare function BuildOutlinedSvg(): JSX.Element;
export declare function BuildSvg(): JSX.Element;
export declare function CameraOutlinedSvg(): JSX.Element;
export declare function CameraSvg(): JSX.Element;
export declare function CancelOutlinedSvg(): JSX.Element;
export declare function CancelSvg(): JSX.Element;
export declare function CenterFocusStrongSvg(): JSX.Element;
export declare function CheckSvg(): JSX.Element;
export declare function ClearSvg(): JSX.Element;
export declare function CloseSvg(): JSX.Element;
export declare function CloudUploadSvg(): JSX.Element;
export declare function CodeSvg(): JSX.Element;
export declare function CopySvg(): JSX.Element;
export declare function CropSvg(): JSX.Element;
export declare function CropFreeSvg(): JSX.Element;
export declare function CropOrginalSvg(): JSX.Element;
export declare function DeleteOutlinedSvg(): JSX.Element;
export declare function DeleteSvg(): JSX.Element;
export declare function ErrorSvg(): JSX.Element;
export declare function ExtensionSvg(): JSX.Element;
export declare function FlipToFrontSvg(): JSX.Element;
export declare function FullscreenSvg(): JSX.Element;
export declare function GetAppSvg(): JSX.Element;
export declare function HelpOutlineSvg(): JSX.Element;
export declare function HomeOutlinedSvg(): JSX.Element;
export declare function LaunchSvg(): JSX.Element;
export declare function LinearScaleSvg(): JSX.Element;
export declare function MoreHorizSvg(): JSX.Element;
export declare function NavigateBeforeSvg(): JSX.Element;
export declare function NavigateNextSvg(): JSX.Element;
export declare function OpenInBrowserSvg(): JSX.Element;
export declare function PlayArrowSvg(): JSX.Element;
export declare function RefreshSvg(): JSX.Element;
export declare function RemoveSvg(): JSX.Element;
export declare function RestoreSvg(): JSX.Element;
export declare function SaveOutlinedSvg(): JSX.Element;
export declare function ScatterPlotSvg(): JSX.Element;
export declare function SkipPreviousSvg(): JSX.Element;
export declare function StopSvg(): JSX.Element;
export declare function SubscriptionsOutlinedSvg(): JSX.Element;
export declare function SwapHorizSvg(): JSX.Element;
export declare function TuneSvg(): JSX.Element;
export declare function VisibilityOffOutlinedSvg(): JSX.Element;
export declare function VisibilityOutlinedSvg(): JSX.Element;
export declare function WarningSvg(): JSX.Element;
export declare const SelectionModeSvg: typeof CursorDefaultOutlineSvg;
export declare const SuperposeAtomsSvg: typeof ScatterPlotSvg;
export declare const SuperposeChainsSvg: typeof LinearScaleSvg;
export declare const SuperpositionSvg: typeof FlipToFrontSvg;
