/**
 * Copyright (c) 2018 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
/** A File or Blob object or a URL string */
export declare type FileInput = File | Blob | string;
export interface FileInfo {
    path: string;
    name: string;
    ext: string;
    base: string;
    dir: string;
    compressed: string | boolean;
    binary: boolean;
    protocol: string;
    query: string;
    src: FileInput;
}
export declare function getFileInfo(file: FileInput): FileInfo;
