/**
 * Copyright (c) 2018-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { OrderedSet } from '../mol-data/int';
import { BitFlags } from './bit-flags';
export declare enum MarkerAction {
    None = 0,
    Highlight = 1,
    RemoveHighlight = 2,
    Select = 4,
    Deselect = 8,
    Toggle = 16,
    Clear = 32
}
export declare type MarkerActions = BitFlags<MarkerAction>;
export declare namespace MarkerActions {
    const is: (m: MarkerActions, f: MarkerAction) => boolean;
    const All: MarkerActions;
    const Highlighting: MarkerActions;
    const Selecting: MarkerActions;
}
export declare function applyMarkerActionAtPosition(array: Uint8Array, i: number, action: MarkerAction): boolean;
export declare function applyMarkerAction(array: Uint8Array, set: OrderedSet, action: MarkerAction): boolean;
