"use strict";
/**
 * Copyright (c) 2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.swaggerUiIndexHandler = exports.swaggerUiAssetsHandler = void 0;
var tslib_1 = require("tslib");
var express = tslib_1.__importStar(require("express"));
var swagger_ui_dist_1 = require("swagger-ui-dist");
var string_1 = require("../../../mol-util/string");
var indexTemplate_1 = require("./indexTemplate");
function swaggerUiAssetsHandler(options) {
    var opts = options || {};
    opts.index = false;
    return express.static(swagger_ui_dist_1.getAbsoluteFSPath(), opts);
}
exports.swaggerUiAssetsHandler = swaggerUiAssetsHandler;
function createHTML(options) {
    return string_1.interpolate(indexTemplate_1.indexTemplate, options);
}
function swaggerUiIndexHandler(options) {
    var html = createHTML(options);
    return function (req, res) {
        res.writeHead(200, { 'Content-Type': 'text/html; charset=utf-8' });
        res.end(html);
    };
}
exports.swaggerUiIndexHandler = swaggerUiIndexHandler;
//# sourceMappingURL=index.js.map