"use strict";
/**
 * Copyright (c) 2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
require("./index.html");
var canvas3d_1 = require("../../mol-canvas3d/canvas3d");
var text_builder_1 = require("../../mol-geo/geometry/text/text-builder");
var text_1 = require("../../mol-geo/geometry/text/text");
var param_definition_1 = require("../../mol-util/param-definition");
var color_1 = require("../../mol-util/color");
var representation_1 = require("../../mol-repr/representation");
var spheres_builder_1 = require("../../mol-geo/geometry/spheres/spheres-builder");
var render_object_1 = require("../../mol-gl/render-object");
var spheres_1 = require("../../mol-geo/geometry/spheres/spheres");
var util_1 = require("../../mol-canvas3d/util");
var parent = document.getElementById('app');
parent.style.width = '100%';
parent.style.height = '100%';
var canvas = document.createElement('canvas');
parent.appendChild(canvas);
util_1.resizeCanvas(canvas, parent);
var canvas3d = canvas3d_1.Canvas3D.create(canvas3d_1.Canvas3DContext.fromCanvas(canvas));
canvas3d.animate();
function textRepr() {
    var props = tslib_1.__assign(tslib_1.__assign({}, param_definition_1.ParamDefinition.getDefaultValues(text_1.Text.Params)), { attachment: 'top-right', fontQuality: 3, fontWeight: 'normal', borderWidth: 0.3, background: true, backgroundOpacity: 0.5, tether: true, tetherLength: 1.5, tetherBaseWidth: 0.5 });
    var textBuilder = text_builder_1.TextBuilder.create(props, 1, 1);
    textBuilder.add('Hello world', 0, 0, 0, 1, 1, 0);
    // textBuilder.add('Добрый день', 0, 1, 0, 0, 0)
    // textBuilder.add('美好的一天', 0, 2, 0, 0, 0)
    // textBuilder.add('¿Cómo estás?', 0, -1, 0, 0, 0)
    // textBuilder.add('αβγ Å', 0, -2, 0, 0, 0)
    var text = textBuilder.getText();
    var values = text_1.Text.Utils.createValuesSimple(text, props, color_1.Color(0xFFDD00), 1);
    var state = text_1.Text.Utils.createRenderableState(props);
    var renderObject = render_object_1.createRenderObject('text', values, state, -1);
    console.log('text', renderObject, props);
    var repr = representation_1.Representation.fromRenderObject('text', renderObject);
    return repr;
}
function spheresRepr() {
    var spheresBuilder = spheres_builder_1.SpheresBuilder.create(1, 1);
    spheresBuilder.add(0, 0, 0, 0);
    spheresBuilder.add(5, 0, 0, 0);
    spheresBuilder.add(-4, 1, 0, 0);
    var spheres = spheresBuilder.getSpheres();
    var values = spheres_1.Spheres.Utils.createValuesSimple(spheres, {}, color_1.Color(0xFF0000), 0.2);
    var state = spheres_1.Spheres.Utils.createRenderableState({});
    var renderObject = render_object_1.createRenderObject('spheres', values, state, -1);
    console.log('spheres', renderObject);
    var repr = representation_1.Representation.fromRenderObject('spheres', renderObject);
    return repr;
}
canvas3d.add(textRepr());
canvas3d.add(spheresRepr());
canvas3d.requestCameraReset();
//# sourceMappingURL=render-text.js.map