/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { ParamDefinition as PD } from '../../mol-util/param-definition';
import { PluginBehavior } from '../../mol-plugin/behavior/behavior';
import { Binding } from '../../mol-util/binding';
import { StateTransformer } from '../../mol-state';
import { Model, ElementIndex } from '../../mol-model/structure';
import { SortedArray } from '../../mol-data/int';
export declare const MoveLoci: StateTransformer<PluginBehavior.Category, PluginBehavior.Behavior, PD.Values<{
    bindings: PD.Value<{
        dragMove: Binding;
    }>;
}>>;
export { CoordsChange };
declare type CoordsChange = SortedArray<ElementIndex>;
declare const CoordsChange: {
    set: (model: Model, coordsChange: CoordsChange) => void;
    get: (model: Model) => CoordsChange | undefined;
};
