/**
 * Copyright (c) 2019-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Áron Samuel Kovács <aron.kovacs@mail.muni.cz>
 */
import { WebGLContext } from '../../mol-gl/webgl/context';
import { Texture } from '../../mol-gl/webgl/texture';
import { Camera } from '../camera';
import { ParamDefinition as PD } from '../../mol-util/param-definition';
import Renderer from '../../mol-gl/renderer';
import Scene from '../../mol-gl/scene';
import { StereoCamera } from '../camera/stereo';
export declare const CutawayParams: {
    angle: PD.Numeric;
    borderSize: PD.Numeric;
};
export declare type CutawayProps = PD.Values<typeof CutawayParams>;
export declare class CutawayPass {
    private webgl;
    private readonly initRenderable;
    private readonly copyToTargetRenderable;
    private readonly jfaATarget;
    private readonly jfaBTarget;
    private readonly jfaARenderable;
    private readonly jfaBRenderable;
    private _supported;
    get supported(): boolean;
    private _target;
    get target(): Texture | null;
    constructor(webgl: WebGLContext, width: number, height: number);
    static isSupported(webgl: WebGLContext): boolean;
    private setRenderDepthState;
    private setViewport;
    private setJfaState;
    private getScalingRatio;
    private renderDepth;
    private renderJfa;
    render(renderer: Renderer, camera: Camera | StereoCamera, scene: Scene, props: CutawayProps): void;
    setSize(width: number, height: number): void;
}
