/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { ParamDefinition as PD } from '../../mol-util/param-definition';
import { DrawPass } from './draw';
import { MultiSamplePass } from './multi-sample';
import { PostprocessingPass } from './postprocessing';
export declare const StereoParams: {
    variant: PD.Mapped<PD.NamedParams<PD.Normalize<unknown>, "off"> | PD.NamedParams<PD.Normalize<{
        eyeSeparation: number;
        focus: number;
    }>, "on">>;
};
export declare const DefaultStereoProps: PD.Values<{
    variant: PD.Mapped<PD.NamedParams<PD.Normalize<unknown>, "off"> | PD.NamedParams<PD.Normalize<{
        eyeSeparation: number;
        focus: number;
    }>, "on">>;
}>;
export declare type StereoProps = PD.Values<typeof StereoParams>;
export declare class StereoPass {
    private drawPass;
    private multiSample;
    private postprocessing;
    static isEnabled(props: StereoProps): boolean;
    constructor(drawPass: DrawPass, multiSample: MultiSamplePass, postprocessing: PostprocessingPass);
}
