/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { ParamDefinition as PD } from '../../mol-util/param-definition';
import { StereoCameraParams } from '../camera/stereo';
export var StereoParams = {
    variant: PD.MappedStatic('off', {
        on: PD.Group(StereoCameraParams),
        off: PD.Group({})
    }, { cycle: true }),
};
export var DefaultStereoProps = PD.getDefaultValues(StereoParams);
var StereoPass = /** @class */ (function () {
    function StereoPass(drawPass, multiSample, postprocessing) {
        this.drawPass = drawPass;
        this.multiSample = multiSample;
        this.postprocessing = postprocessing;
    }
    StereoPass.isEnabled = function (props) {
        return props.variant.name === 'on';
    };
    return StereoPass;
}());
export { StereoPass };
//# sourceMappingURL=stereo.js.map