/**
 * Copyright (c) 2019-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Áron Samuel Kovács <aron.kovacs@mail.muni.cz>
 */
declare const _default: "\nprecision highp float;\nprecision highp int;\nprecision highp sampler2D;\n\nuniform sampler2D tDepth;\nuniform vec2 uTexSize;\n\nuniform float uIsOrtho;\nuniform float uNear;\nuniform float uFar;\n\n#include common\n\nvoid main(void) {\n    vec2 coords = gl_FragCoord.xy / uTexSize;\n\n    vec4 jfaValue = texture(tDepth, coords);\n\n    vec4 result;\n\n    if (jfaValue.x < 0.0) {\n        result = packDepthToRGBA(1.0);\n    } else {\n        float viewZ = uNear + (jfaValue.w * (uFar - uNear));\n        float depth = viewZToDepth(uIsOrtho, viewZ, uNear, uFar);\n        result = packDepthToRGBA(clamp(depth, 0.0, 1.0));\n    }\n\n    gl_FragColor = result;\n}\n";
export default _default;
