/**
 * Copyright (c) 2019-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Áron Samuel Kovács <aron.kovacs@mail.muni.cz>
 */
export default "\nprecision highp float;\nprecision highp int;\nprecision highp sampler2D;\n\nuniform sampler2D tDepth;\nuniform vec2 uTexSize;\n\nuniform float uIsOrtho;\nuniform float uNear;\nuniform float uFar;\n\n#include common\n\nbool isBackground(float z) {\n    return z >= 0.99;\n}\n\nvoid main(void) {\n    vec2 coords = gl_FragCoord.xy / uTexSize;\n\n    float depth = unpackRGBAToDepth(texture(tDepth, coords));\n    float viewZ = depthToViewZ(uIsOrtho, depth, uNear, uFar);\n    float linearZ = (viewZ - uNear) / (uFar - uNear);\n\n    if (isBackground(depth)) {\n        gl_FragColor = vec4(-10000.0, -10000.0, -10000.0, -10000.0);\n    } else {\n        gl_FragColor = vec4(coords, linearZ, linearZ);\n    }\n}\n";
//# sourceMappingURL=cutaway-init.frag.js.map