/**
 * Copyright (c) 2019-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Áron Samuel Kovács <aron.kovacs@mail.muni.cz>
 */
declare const _default: "\nprecision highp float;\nprecision highp sampler2D;\n\nuniform sampler2D tDepth;\nuniform sampler2D tOutlines;\nuniform vec2 uTexSize;\n\n#include common\n\nvoid main() {\n    vec2 coords = gl_FragCoord.xy / uTexSize;\n    \n    float depth = unpackRGBAToDepth(texture2D(tDepth, coords));\n    \n    #if dOutlineDynamicWidth == 1\n        float depthOutlines = texture2D(tOutlines, coords).z;\n    #else\n        float depthOutlines = unpackRGBAToDepth(texture2D(tOutlines, coords));\n    #endif\n\n    gl_FragColor = packDepthToRGBA(min(depth, depthOutlines));\n}\n";
export default _default;
