/**
 * Copyright (c) 2019-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { MolFile } from '../../mol-io/reader/mol/parser';
import { Task } from '../../mol-task';
import { ModelFormat } from '../format';
import { Trajectory } from '../../mol-model/structure';
export { MolFormat };
declare type MolFormat = ModelFormat<MolFile>;
declare namespace MolFormat {
    function is(x?: ModelFormat): x is MolFormat;
    function create(mol: MolFile): MolFormat;
}
export declare function trajectoryFromMol(mol: MolFile): Task<Trajectory>;
