/**
 * Copyright (c) 2018-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { Structure } from '../structure';
import { Result } from '../../../../mol-math/geometry';
import { StructureUniqueSubsetBuilder } from './unique-subset-builder';
import { StructureElement } from '../element';
import { Unit } from '../unit';
export interface StructureResult extends Result<StructureElement.UnitIndex> {
    units: Unit[];
}
export declare namespace StructureResult {
    function add(result: StructureResult, unit: Unit, index: StructureElement.UnitIndex, distSq: number): void;
    function create(): StructureResult;
    function copy(out: StructureResult, result: StructureResult): StructureResult;
}
export declare class StructureLookup3D {
    private structure;
    private unitLookup;
    private pivot;
    findUnitIndices(x: number, y: number, z: number, radius: number): Result<number>;
    private result;
    find(x: number, y: number, z: number, radius: number): StructureResult;
    findIntoBuilder(x: number, y: number, z: number, radius: number, builder: StructureUniqueSubsetBuilder): void;
    findIntoBuilderWithRadius(x: number, y: number, z: number, pivotR: number, maxRadius: number, radius: number, eRadius: StructureElement.Property<number>, builder: StructureUniqueSubsetBuilder): void;
    check(x: number, y: number, z: number, radius: number): boolean;
    get boundary(): import("../../../../mol-math/geometry/boundary").Boundary;
    constructor(structure: Structure);
}
