/**
 * Copyright (c) 2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 */
import { PluginStateAnimation } from './model';
import { ParamDefinition as PD } from '../../mol-util/param-definition';
export declare const AnimateModelIndex: PluginStateAnimation<{
    mode: PD.NamedParams<PD.Normalize<unknown>, "palindrome"> | PD.NamedParams<PD.Normalize<unknown>, "loop"> | PD.NamedParams<PD.Normalize<{
        direction: any;
    }>, "once">;
    maxFPS: number;
}, {
    palindromeDirections?: {
        [id: string]: 1 | -1 | undefined;
    } | undefined;
}>;
export declare const AnimateAssemblyUnwind: PluginStateAnimation<{
    durationInMs: number;
    playOnce: boolean;
    target: string;
}, {
    t: number;
}>;
export declare const AnimateUnitsExplode: PluginStateAnimation<{
    durationInMs: number;
}, {
    t: number;
}>;
export declare const AnimateStateInterpolation: PluginStateAnimation<{
    transtionDurationInMs: number;
}, {}>;
