/**
 * Copyright (c) 2018-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { PluginBehavior } from '../behavior';
import { Binding } from '../../../mol-util/binding';
import { ParamDefinition as PD } from '../../../mol-util/param-definition';
export declare const HighlightLoci: import("../../../mol-state/transformer").StateTransformer<PluginBehavior.Category, PluginBehavior.Behavior, PD.Values<{
    bindings: PD.Value<{
        hoverHighlightOnly: Binding;
        hoverHighlightOnlyExtend: Binding;
    }>;
    ignore: PD.Value<("bond-loci" | "every-loci" | "empty-loci" | "cell-loci" | "volume-loci" | "isosurface-loci" | "group-loci" | "shape-loci" | "data-loci" | "structure-loci" | "element-loci")[]>;
    mark: PD.BooleanParam;
}>>;
export declare const SelectLoci: import("../../../mol-state/transformer").StateTransformer<PluginBehavior.Category, PluginBehavior.Behavior, PD.Values<{
    bindings: PD.Value<{
        clickSelect: Binding;
        clickToggleExtend: Binding;
        clickSelectOnly: Binding;
        clickToggle: Binding;
        clickDeselect: Binding;
        clickDeselectAllOnEmpty: Binding;
    }>;
    ignore: PD.Value<("bond-loci" | "every-loci" | "empty-loci" | "cell-loci" | "volume-loci" | "isosurface-loci" | "group-loci" | "shape-loci" | "data-loci" | "structure-loci" | "element-loci")[]>;
    mark: PD.BooleanParam;
}>>;
export declare const DefaultLociLabelProvider: import("../../../mol-state/transformer").StateTransformer<PluginBehavior.Category, PluginBehavior.Behavior, unknown>;
export declare const FocusLoci: import("../../../mol-state/transformer").StateTransformer<PluginBehavior.Category, PluginBehavior.Behavior, PD.Values<{
    bindings: PD.Value<{
        clickFocus: Binding;
        clickFocusAdd: Binding;
        clickFocusSelectMode: Binding;
        clickFocusAddSelectMode: Binding;
    }>;
}>>;
