/**
 * Copyright (c) 2018 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { ParamDefinition as PD } from '../../../mol-util/param-definition';
import { StructureRepresentation, StructureRepresentationProvider } from '../representation';
import { RepresentationParamsGetter, RepresentationContext } from '../../../mol-repr/representation';
import { ThemeRegistryContext } from '../../../mol-theme/theme';
import { Structure } from '../../../mol-model/structure';
export declare const PointParams: {
    pointSizeAttenuation: PD.BooleanParam;
    ignoreHydrogens: PD.BooleanParam;
    traceOnly: PD.BooleanParam;
    unitKinds: PD.MultiSelect<"atomic" | "spheres" | "gaussians">;
    sizeFactor: PD.Numeric;
    pointFilledCircle: PD.BooleanParam;
    pointEdgeBleach: PD.Numeric;
    alpha: PD.Numeric;
    quality: PD.Select<"custom" | "auto" | "highest" | "higher" | "high" | "medium" | "low" | "lower" | "lowest">;
};
export declare type PointParams = typeof PointParams;
export declare function getPointParams(ctx: ThemeRegistryContext, structure: Structure): {
    pointSizeAttenuation: PD.BooleanParam;
    ignoreHydrogens: PD.BooleanParam;
    traceOnly: PD.BooleanParam;
    unitKinds: PD.MultiSelect<"atomic" | "spheres" | "gaussians">;
    sizeFactor: PD.Numeric;
    pointFilledCircle: PD.BooleanParam;
    pointEdgeBleach: PD.Numeric;
    alpha: PD.Numeric;
    quality: PD.Select<"custom" | "auto" | "highest" | "higher" | "high" | "medium" | "low" | "lower" | "lowest">;
};
export declare type PointRepresentation = StructureRepresentation<PointParams>;
export declare function PointRepresentation(ctx: RepresentationContext, getParams: RepresentationParamsGetter<Structure, PointParams>): PointRepresentation;
export declare const PointRepresentationProvider: StructureRepresentationProvider<{
    pointSizeAttenuation: PD.BooleanParam;
    ignoreHydrogens: PD.BooleanParam;
    traceOnly: PD.BooleanParam;
    unitKinds: PD.MultiSelect<"atomic" | "spheres" | "gaussians">;
    sizeFactor: PD.Numeric;
    pointFilledCircle: PD.BooleanParam;
    pointEdgeBleach: PD.Numeric;
    alpha: PD.Numeric;
    quality: PD.Select<"custom" | "auto" | "highest" | "higher" | "high" | "medium" | "low" | "lower" | "lowest">;
}, "point">;
